%global debug_package %{nil}
%global pypi_name xdg-base-dirs
%global pypi_version 6.0.2
%global toolchain clang

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %autorelease
Summary:        Variables defined by the XDG Base Directory Specification

License:        ISC
URL:            https://github.com/srstevenson/xdg-base-dirs
Source0:        %{pypi_source}#/xdg_base_dirs-%{pypi_version}.tar.gz

BuildArch:      noarch
BuildRequires:  clang
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(wheel)

%global _description %{expand:
A Python module that provides functions to return paths to the directories
defined by the XDG Base Directory Specification, to save you from duplicating
the same snippet of logic in every Python utility you write that deals with
user cache, configuration, or data files.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n xdg_base_dirs-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -L xdg_base_dirs


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Sat Jul 05 2025 David Andres Ramirez Salomon <david35mm@disroot.org> - 6.0.2-1
- Initial package.
